org.apache.cassandra.db.commitlog

## Interface CommitLogMBean

All Known Implementing Classes:
  CommitLog

    public interface CommitLogMBean

### Method Summary

Methods
`java.util.List<java.lang.String>` `getActiveSegmentNames()`
`java.util.List<java.lang.String>` `getArchivingSegmentNames()`
`long` `getCompletedTasks()` Deprecated.
`long` `getPendingTasks()` Deprecated.
`long` `getTotalCommitlogSize()` Deprecated.
`void` `recover(java.lang.String path)` Recover a single file.

### Method Detail

#### getCompletedTasks

    @Deprecated
    long getCompletedTasks()

Deprecated.
Get the number of completed tasks

See Also:
  `CommitLogMetrics.completedTasks`

#### getPendingTasks

    @Deprecated
    long getPendingTasks()

Deprecated.
Get the number of tasks waiting to be executed

See Also:
  `CommitLogMetrics.pendingTasks`

#### getTotalCommitlogSize

    @Deprecated
    long getTotalCommitlogSize()

Deprecated.
Get the current size used by all the commitlog segments.

See Also:
  `CommitLogMetrics.totalCommitLogSize`

#### recover

    void recover(java.lang.String path)
                 throws java.io.IOException

Recover a single file.

Throws:
  `java.io.IOException`

#### getActiveSegmentNames

    java.util.List<java.lang.String> getActiveSegmentNames()

Returns:
  file names (not full paths) of active commit log segments (segments containing unflushed data)

#### getArchivingSegmentNames

    java.util.List<java.lang.String> getArchivingSegmentNames()

Returns:
  Files which are pending for archival attempt. Does NOT include failed archive attempts.